import { TransformationMimeScope, TransformationTagScope, TransformationUrlSlug } from "../common/model/Primitives";
import { NonEmptyArray } from "@upload-io/upload-shared-iso";
interface TransformationPath {
    scope: {
        mime: NonEmptyArray<TransformationMimeScope>;
        tag: NonEmptyArray<TransformationTagScope>;
    };
    slug: TransformationUrlSlug;
}
export declare class TransformationUtils {
    static resolveTransformation<T extends TransformationPath>(path: TransformationPath, transformations: T[]): T[];
}
export {};
